This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 3.85. __nv_erfinvf

Prototype:

    float @__nv_erfinvf(float %x)

Description:

Calculate the inverse error function of the input argument `y`, for `y` in the interval [-1, 1]. The inverse error function finds the value `x` that satisfies the equation `y` = erf(`x`), for − 1 ≤ y ≤ 1 , and − ∞ ≤ x ≤ ∞ .

Returns:

- __nv_erfinvf(1) returns + ∞ .

- __nv_erfinvf(-1) returns − ∞ .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes